GET
/v1/apps/{applicationId}/publication-requestsbetaapiKeyworkspace
When to use
Track your own publication requests or review requests for an app you can publish.
For agents
Other readers cannot see a requester’s intent. A changed candidate is stale and needs a new request before publication.
Example
import { PermuteClient } from '@permute/sdk';
const orgClient = new PermuteClient({
apiKey: process.env.PERMUTE_API_KEY!,
});
const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);
const result = await client.apps.publicationRequests('appl_abcdefghijklmnopqrstuvwx');Response
{
"data": {
"items": [
{
"id": "task_abcdefghijklmnopqrstuvwx",
"revisionId": "rvsn_abcdefghijklmnopqrstuvwx",
"expectedVersion": "observed-version",
"principalType": "apiKey",
"principalId": "apik_author",
"reason": "Ready for launch",
"status": "pending",
"createdAt": "2026-10-29T12:00:00.000Z",
"expiresAt": "2026-11-05T12:00:00.000Z",
"canPublish": false,
"canCancel": true,
"applicationId": "appl_abcdefghijklmnopqrstuvwx"
}
]
}
}